# std::char_traits< wchar_t > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct std::char_traits< wchar_t >

Definition at line 302 of file char_traits.h.

## Public Types

- typedef wchar_t char_type
- typedef wint_t int_type
- typedef streamoff off_type
- typedef wstreampos pos_type
- typedef mbstate_t state_type

## Static Public Member Functions

- static char_type * assign (char_type *__s, size_t __n, char_type __a)
- static void assign (char_type &__c1, const char_type &__c2)
- static int compare (const char_type *__s1, const char_type *__s2, size_t __n)
- static char_type * copy (char_type *__s1, const char_type *__s2, size_t __n)
- static int_type eof ()
- static bool eq (const char_type &__c1, const char_type &__c2)
- static bool eq_int_type (const int_type &__c1, const int_type &__c2)
- static const char_type * find (const char_type *__s, size_t __n, const char_type &__a)
- static size_t length (const char_type *__s)
- static bool lt (const char_type &__c1, const char_type &__c2)
- static char_type * move (char_type *__s1, const char_type *__s2, size_t __n)
- static int_type not_eof (const int_type &__c)
- static char_type to_char_type (const int_type &__c)
- static int_type to_int_type (const char_type &__c)

The documentation for this struct was generated from the following file:

- char_traits.h